Invite an accountant user
curl --request POST \
--url https://api.steuerboard.com/v1/admin/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "frida@example.com",
"role": "admin"
}
'import requests
url = "https://api.steuerboard.com/v1/admin/users"
payload = {
"email": "frida@example.com",
"role": "admin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'frida@example.com', role: 'admin'})
};
fetch('https://api.steuerboard.com/v1/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q1b1",
"createdAt": "2024-08-20T12:34:56Z",
"email": "alex@example.com",
"firstName": "Alex",
"lastName": "Müller",
"roles": [
{
"id": "cmf41ajzv003706un4i99q1a0",
"name": "accountant_admin",
"customName": "Head of Accounting"
}
]
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"status_code": 404,
"type": "not_found",
"code": "not_found",
"message": "<string>"
}{
"status_code": 409,
"type": "conflict",
"code": "conflict",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ZodError",
"issues": [
{
"code": "invalid_type",
"path": [
"email"
],
"message": "Required"
},
{
"code": "invalid_union",
"path": [
"role"
],
"message": "Invalid input"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.admin.users
Invite an accountant user
Invites a new accountant user and returns the created record.
POST
/
admin
/
users
Invite an accountant user
This endpoint only works with the Accountant API key. More information here
Authorizations
Bearer token authentication
Body
application/json
Invite accountant user
Response
Accountant user invited
Identifier of the accountant user.
Example:
"cmf41ajzv003706un4i99q1b1"
ISO 8601 timestamp when the accountant user record was created.
Example:
"2024-08-20T12:34:56Z"
Email address of the accountant user.
Example:
"alex@example.com"
First name of the accountant user, if provided.
Example:
"Alex"
Last name of the accountant user, if provided.
Example:
"Müller"
Roles assigned to the accountant user.
Show child attributes
Show child attributes
⌘I